STRUCT TEMPLATE (3)

NAME
boost::intrusive::size_type

SYNOPSIS

// In header: <boost/intrusive/options.hpp>
template<typename SizeType>
struct size_type {
  // member classes/structs/unions
  // @ template<class Base>
  struct pack {
    // types
    typedef SizeType size_type;
  };
};

DESCRIPTION

This option setter specifies the type that the container will use to store its size.